<template>
    <div>
        <div
            v-for="(card, index) in cardData"
            :key="index"
            class="col-lg-4"
        >
            <div
                class="tab-container"
                :class="{'loading-md': loader}"
            >
                <div class="tab-header">
                    <div class="card-title-container">
                        <i :class="card.icon + ` my-icon`" />
                        <div class="my-card-title">
                            {{ card.title }}
                        </div>
                    </div>
                </div>
                <div class="content-container">
                    <div class="sales-container">
                        <div class="card-count">
                            {{ $formatter.fixedNumber(card.salesCount) }}
                        </div>
                        <div class="card-title">
                            {{ card.salesTitle }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "SmsCards",
        props: {
            cardData: {
                type: Array,
                default:() => [
                    {
                        title: 'Revenue Recovered',
                        icon: 'fa fa-window-maximize',
                        salesCount: '0',
                        salesTitle: 'Sales'
                    },
                    {
                        title: 'Subscribers',
                        icon: 'fa fa-users',
                        salesCount: 0,
                        salesTitle: 'Quantity'
                    },
                    {
                        title: 'Orders Recovered',
                        icon: 'fa fa-cube',
                        salesCount: '0',
                        salesTitle: 'Quantity'
                    }
                ]
            },
            loader: {
                type: Boolean,
                default: false,
            }
        }
    };
</script>
